com.io7m.jtensors.generators

## Class Matrix4x4DGenerator

- java.lang.Object
- - com.io7m.jtensors.generators.Matrix4x4DGenerator

- All Implemented Interfaces:
    net.java.quickcheck.Generator<Matrix4x4D>

      public final class Matrix4x4DGenerator
      extends Object
      implements net.java.quickcheck.Generator<Matrix4x4D>

  A matrix generator.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Matrix4x4DGenerator(net.java.quickcheck.Generator<Double> in_gen)` Construct a generator.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static net.java.quickcheck.Generator<Matrix4x4D>` | `create()` Create a generator initialized with a default component generator.
    `static net.java.quickcheck.Generator<Matrix4x4D>` | `createNormal()` Create a generator initialized with a default component generator that only produces values in the range `[-1.0, 1.0]`.
    `static net.java.quickcheck.Generator<Matrix4x4D>` | `createOrthogonal()` Create a generator initialized with a default component generator that only produces orthogonal matrices.
    `Matrix4x4D` | `next()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Matrix4x4DGenerator

          public Matrix4x4DGenerator(net.java.quickcheck.Generator<Double> in_gen)

      Construct a generator.
      Parameters:
        `in_gen` - A component generator

  - ### Method Detail

    - #### create

          public static net.java.quickcheck.Generator<Matrix4x4D> create()

      Create a generator initialized with a default component generator.
      Returns:
        A generator

    - #### createNormal

          public static net.java.quickcheck.Generator<Matrix4x4D> createNormal()

      Create a generator initialized with a default component generator that only produces values in the range `[-1.0, 1.0]`.
      Returns:
        A generator

    - #### createOrthogonal

          public static net.java.quickcheck.Generator<Matrix4x4D> createOrthogonal()

      Create a generator initialized with a default component generator that only produces orthogonal matrices.
      Returns:
        A generator

    - #### next

          public Matrix4x4D next()

      Specified by:
        `next` in interface `net.java.quickcheck.Generator<Matrix4x4D>`

Copyright © 2017 <code@io7m.com> http://io7m.com